<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [purchaseTixApi](./bitburner.tix.purchasetixapi.md)

## TIX.purchaseTixApi() method

Purchase TIX API Access

**Signature:**

```typescript
purchaseTixApi(): boolean;
```
**Returns:**

boolean

True if you successfully purchased it or if you already have access, false otherwise.

## Remarks

RAM cost: 2.5 GB

